extends Node2D

const OFFSET: Vector2 = Vector2(16,16)

func _draw() -> void:
	for cellGraphData in get_parent().cellGraph:
		for link in cellGraphData.links:
			var from: Vector2 = get_parent().map_pos(cellGraphData.cell) + OFFSET
			var to: Vector2 = get_parent().map_pos(link) + OFFSET
			from = from.move_toward(to,10)
			draw_line(
				from, 
				to, 
				Color.blueviolet, 
				2.0, 
				true)
